# Set user status

Creates a new status for a user.

Endpoint: POST /users/{user_id}/statuses
Version: v1
Security: AuthToken

## Path parameters:

  - `user_id` (integer, required)
    The ID of the user.

## Request fields (application/x-www-form-urlencoded):

  - `status` (string, required)
    The status of the user.
    Enum: "ITO", "WFH", "SIC", "OOO", "VAC", "OOF"

  - `assignable_id` (integer,null)
    The ID of the assignable.
    Example: 4

  - `current_task` (string,null)
    The name of the current task.
    Example: "Finalizing reports"

  - `end` (string,null)
    The end date of the status.
    Example: "2025-09-01T17:00:00Z"

  - `message` (string,null)
    A message associated with the status.
    Example: "In a meeting"

  - `start` (string,null)
    The start date of the status.
    Example: "2025-09-01T09:00:00Z"

## Response 200 fields (application/json):

  - `assignable_id` (integer,null)
    The ID of the assignable (such as project or leave type) the user is currently working on.
    Example: 4

  - `created_at` (string, required)
    The time the status was created.
    Example: "2013-09-12T14:33:05Z"

  - `current_task` (string,null)
    The name of the current task.

  - `end` (string,null)
    The end date of the status.

  - `id` (integer, required)
    The unique ID of the status.
    Example: 1

  - `message` (string,null)
    A message associated with the status.
    Example: "Hacking away"

  - `start` (string,null)
    The start date of the status.

  - `status` (string, required)
    The status of the user.
    Enum: "ITO", "WFH", "SIC", "OOO", "VAC", "OOF"

  - `updated_at` (string, required)
    The time the status was last updated.
    Example: "2013-09-12T14:33:05Z"

  - `user_id` (integer, required)
    The ID of the user.
    Example: 1

## Response 400 fields (application/json):

  - `message` (string)
    Example: "bad data"

  - `errors` (array)
    Example: ["Status must be a valid code"]

## Response 403 fields (application/json):

  - `message` (string)
    Example: "forbidden"

  - `errors` (array)
    Example: ["access denied"]


